//---------------------------------------------------------------------------------
// File Name: IMouse.h
// Description: 	
//
// Copyright (C) 2004 - 2005 True Axis Pty Ltd, Australia. 
// All Rights Reserved.
//
// Use of this code is covered by the "TRUE AXIS PHYSICS SDK DEMOS SOURCE LICENSE AGREEMENT".
// Details of this agreement are found in the file "TrueAxisPhysicsSDKDemosSourceLicence.txt".
// You have permission to modify this file and use it for any purpose under the terms of
// the agreement.
//
// History:
//		Created File.
//---------------------------------------------------------------------------------

#ifndef TA_IMOUSE_H
#define TA_IMOUSE_H

struct IMouse
{
public:
	virtual void Initialise(bool bExclusive) = 0;
	virtual void Release() = 0;
	virtual void Update() = 0;
	virtual int GetXMovement() const = 0;
	virtual int GetYMovement() const = 0;
	virtual bool IsLeftButtonDown() const = 0;
	virtual bool LeftButtonJustPressed() const = 0;
	virtual bool IsRightButtonDown() const = 0;
	virtual bool RightButtonJustPressed() const = 0;
};

#endif // TA_IMOUSE_H
